ONVIF::Device::Elements::GetZeroConfigurationResponse(3)

NAME
ONVIF::Device::Elements::GetZeroConfigurationResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetZeroConfigurationResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ZeroConfiguration

     $element->set_ZeroConfiguration($data);
     $element->get_ZeroConfiguration();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetZeroConfigurationResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   ZeroConfiguration =>  { # ONVIF::Device::Types::NetworkZeroConfiguration
     InterfaceToken => $some_value, # ReferenceToken
     Enabled =>  $some_value, # boolean
     Addresses => $some_value, # IPv4Address
     Extension =>  { # ONVIF::Device::Types::NetworkZeroConfigurationExtension
       Extension =>  { # ONVIF::Device::Types::NetworkZeroConfigurationExtension2
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL